#ifndef __MC_3DSHAPELISTWIDGET_H__
#define __MC_3DSHAPELISTWIDGET_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QListWidget>
#include <QMenu>

class MC_3DShapeModelList;

class MC_3DShapeListWidget : public QListWidget
{
    Q_OBJECT

private:

    QMenu m_contextMenu;        /*!< */
    QAction* pEnablerAction;    /*!< */

    MC_3DShapeModelList* m_pShapeList;  /*!< */

    bool integrateShapes();

protected:

    void contextMenuEvent(QContextMenuEvent * pCME);

    Q_SLOT void toogleShowShape(bool checked=false);
    Q_SLOT void changeColourShape();

public:

    MC_3DShapeListWidget(MC_3DShapeModelList* pShapeList, QWidget* parent=0);

    Q_SLOT void update();
};

/*! \class MC_3DShapeListWidget MC_3DShapeListWidget.h "MC_3DShapeListWidget.h"
    \brief Widget to display the names of the shapes in a widget
 */

/*! \fn void MC_3DShapeListWidget :: contextMenuEvent(QContextMenuEvent* pCME)
    \brief Handles the context menu
    \param pCME the event information
 */

/*! \fn void MC_3DShapeListWidget :: toogleShowShape(bool checked=false)
    \brief toogle if the shape is shown or not
 */

/*! \fn void MC_3DShapeListWidget :: changeColourShape()
    \brief change the colour of the shape
 */

/*! \fn MC_3DShapeListWidget :: MC_3DShapeListWidget(MC_3DShapeModelList* pShapeList, QWidget* parent=0)
    \param pShapeList the list of shapes of the scene
    \param parent the parent of the widget
 */

/*! \fn void MC_3DShapeListWidget :: update()
 *  \brief update the widget
 */

#endif
