#include "ECGParser.h"

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QFile>
#include <QFileInfo>

#include <QDebug>

bool ECGParser :: parse(const QString& fileName, ECGList& ecgList)
{
    QFile dataFile (fileName);
    if ( !dataFile.open(QIODevice::ReadOnly | QIODevice::Text))
    {
        qDebug() << "Fail to open the ECG file '" << fileName << "'";
        return false;
    }

    return this->parseData(dataFile.readAll(),ecgList,QFileInfo(dataFile).fileName());
}

bool ECGParser :: parse(const QByteArray& dataArray, ECGList& ecgList, const QString& ecgName)
{
    return this->parseData(dataArray,ecgList,ecgName);
}
