#-------------------------------------------------
#
# Project created by QtCreator 2011-08-14T10:47:18
#
#-------------------------------------------------

QT       += core gui network declarative sql

TARGET = MedCenter
TEMPLATE = app

INCLUDEPATH += Sources/
INCLUDEPATH += ../include/
INCLUDEPATH += ../MedCenter_BDD/Sources/
LIBS += -L../lib -lFileLogger

SOURCES += \
    Sources/SettingsReader.cpp \
    Sources/mainwindow.cpp \
    Sources/main.cpp \
    Sources/Network/NetworkManager.cpp \
    Sources/Network/Server/TCPServer.cpp \
    Sources/Network/Server/SSLServer.cpp \
    Sources/Network/Client/TCPClient.cpp \
    Sources/Network/Client/SSLClient.cpp \
    Sources/Network/Server/NServer.cpp \
    Sources/Network/Client/NClient.cpp \
    Sources/Types/User.cpp \
    Sources/Types/Patient.cpp \
    Sources/Types/PatientData.cpp \
    Sources/Types/Data.cpp \
    Sources/Types/OperationData.cpp \
    Sources/Utils/ByteArrayUtils.cpp \
    Sources/Network/MachineDataReader.cpp \
    Sources/Network/Types/MachineData.cpp \
    Sources/Types/FileData.cpp \
    Sources/Types/ListData.cpp \
    Sources/Network/Utils/DataUtils.cpp \
    Sources/Types/VersionData.cpp \
    Sources/Types/Changement.cpp \
    Sources/PatientContainer.cpp \
    Sources/MedCenter.cpp \
    Sources/UI/QMLWidget.cpp \
    Sources/UI/ConnectionQMLWidget.cpp \
    Sources/UI/Types/ButtonObject.cpp \
    Sources/UI/Types/ButtonList.cpp \
    Sources/UI/MainScreenWidget.cpp \
    Sources/UI/QMLBarWidget.cpp \
    Sources/UI/QMLPatientListWidget.cpp \
    Sources/UI/QMLVersionningWidget.cpp \
    Sources/UI/QMLEditDataWidget.cpp \
    Sources/UI/Types/FileDataObject.cpp \
    Sources/UI/Types/FileList.cpp \
    ../MedCenter_BDD/Sources/meddatabase.cpp \
    Sources/UI/QMLEditUsersWidget.cpp \
    Sources/UI/QMLEditMachinesWidget.cpp \
    Sources/UI/QMLChatWidget.cpp \
    Sources/UI/Types/NameObject.cpp \
    Sources/Loader.cpp

HEADERS  += \
    Sources/SettingsReader.h \
    Sources/mainwindow.h \
    Sources/Network/NetworkManager.h \
    Sources/Network/Server/TCPServer.h \
    Sources/Network/Server/SSLServer.h \
    Sources/Network/Client/TCPClient.h \
    Sources/Network/Client/SSLClient.h \
    Sources/Network/Server/NServer.h \
    Sources/Network/Client/NClient.h \
    Sources/Types/User.h \
    Sources/Types/Patient.h \
    Sources/Types/PatientData.h \
    Sources/Types/Data.h \
    Sources/Types/OperationData.h \
    Sources/Utils/ByteArrayUtils.h \
    Sources/Network/MachineDataReader.h \
    Sources/Network/Types/MachineData.h \
    Sources/Types/FileData.h \
    Sources/Types/ListData.h \
    Sources/Network/Utils/DataUtils.h \
    Sources/Network/Utils/DataUtils.h \
    Sources/Types/VersionData.h \
    Sources/Types/Changement.h \
    Sources/PatientContainer.h \
    Sources/MedCenter.h \
    Sources/UI/QMLWidget.h \
    Sources/UI/ConnectionQMLWidget.h \
    Sources/UI/Types/ButtonObject.h \
    Sources/UI/Types/ButtonList.h \
    Sources/Module/ModuleInterface.h \
    Sources/UI/MainScreenWidget.h \
    Sources/UI/QMLBarWidget.h \
    Sources/UI/QMLPatientListWidget.h \
    Sources/UI/QMLEditDataWidget.h \
    Sources/UI/QMLVersionningWidget.h \
    Sources/Network/SSLException.h \
    Sources/UI/Types/FileDataObject.h \
    Sources/UI/Types/FileList.h \
    ../MedCenter_BDD/Sources/meddatabase.hpp \
    Sources/UI/QMLEditUsersWidget.h \
    Sources/UI/QMLEditMachinesWidget.h \
    Sources/UI/QMLChatWidget.h \
    Sources/UI/Types/NameObject.h \
    Sources/Loader.h

OTHER_FILES += \
    data/machines.txt

RESOURCES += \
    MedCenter.qrc

windows {
    QMAKE_POST_LINK += "$(COPY) ..\\lib\\* $(DESTDIR) &"
    QMAKE_POST_LINK += "$(COPY_DIR) ..\\ModulesSystem\\Module\\plugins .\\debug\\plugins &"
    QMAKE_POST_LINK += "$(COPY_DIR) ..\\ModulesSystem\\Module\\data .\\debug\\data &"
    QMAKE_POST_LINK += "$(COPY_DIR) ..\\ModulesSystem\\Module\\plugins .\\release\\plugins &"
    QMAKE_POST_LINK += "$(COPY_DIR) ..\\data .\\release\\data"
}
!windows {
    QMAKE_POST_LINK += "$(COPY) ../lib/* . &"
    QMAKE_POST_LINK += "$(COPY_DIR) ../ModulesSystem/Module/plugins ./ &"
    QMAKE_POST_LINK += "$(COPY_DIR) ../../medcenter/data ./"
}
