import QtQuick 1.0

Rectangle
{
    id: button
    property string title: "Button"
    property string imageSource
    width: 112
    height: 112
    color: "#00000000"
    radius: 5
    border.width: 0
    anchors.leftMargin: 3
    y: 3

    signal buttonClick()
    signal selected(int indexSelected)

    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked:
        {
            if ( button.ListView.view )
            {
                selected(button.ListView.view.indexAt(button.x,button.y))
            }
            buttonClick()
        }
    }

    Image
    {
        id: buttonImage
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        source: imageSource
        anchors.topMargin: 8
    }

    Text
    {
        id: text1
        color: "#ffffff"
        text: title
        style: Text.Outline
        anchors.horizontalCenter: parent.horizontalCenter
        horizontalAlignment: Text.AlignHCenter
        anchors.top: buttonImage.bottom
        anchors.topMargin: 8
    }

    states: [
        State {
            name: "ButtonPressed"
            when:
            {
             if ( button.ListView )
             {
                 if ( button.ListView.isCurrentItem )
                 {
                         return true
                 }    
             }

             return mouseArea.pressed
            }

            PropertyChanges
            {
                target: button
                color: "#80000000"
                radius: 5
                border.width: 0
            }

            PropertyChanges {
                target: text1
                anchors.horizontalCenterOffset: 0
                anchors.topMargin: 8
                style: "Outline"
                verticalAlignment: "AlignTop"
            }
        }
    ]
}
