import QtQuick 1.0

Item
{
    id: chatBox

    width: 500
    height: 500
    focus: true

    signal newMessage(string message)

    Rectangle
    {
        id: userListBox
        height: parent.height
        width: 200
        border.width: 1
        radius: 5
        ListView
        {

            anchors.fill:  parent

            model: userNames
            delegate:
                Text
                {
                    text: name
                }
        }
    }

    ListView
    {
        id: messageListView
        anchors.left: userListBox.right
        width: parent.width - 200
        height: parent.height - 20
        model: messageList
        delegate:
            Text
            {
                text: name
            }
    }

    Rectangle
    {
        width:parent.width
        height: 20

        anchors.top: messageListView.bottom
        anchors.left: userListBox.right
        anchors.leftMargin: 2

        TextInput
        {
            id: messageLine
            width: parent.width
            height: 18
            focus: true
            font.pixelSize: 14
        }
    }

    Keys.onPressed:
    {
         if (event.key == Qt.Key_Enter || event.key == Qt.Key_Return)
         {
             console.log("Message: " + messageLine.text)
             newMessage(messageLine.text)
             messageLine.text = "";
         }
    }
}
