import QtQuick 1.0

Rectangle
{
    id: connectionWindow
    width: 500
    height: 500
    color: "#f2e9da"

    signal connect(string userName, string password)

    LineEdit
    {
        id: userLineEdit
        x: 173
        y: 109

        text: "User name: "
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.horizontalCenterOffset: 73
        anchors.top: image1.bottom
        anchors.topMargin: 20
        KeyNavigation.tab: passwordLineEdit
        focus: true
    }

    LineEdit
    {
        id: passwordLineEdit
        x: 173
        y: 130

        text: "Password: "
        anchors.top: userLineEdit.bottom
        anchors.topMargin: 21
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.horizontalCenterOffset: 73
        echoMode: "Password"
        KeyNavigation.tab: connectionButton
        KeyNavigation.backtab: userLineEdit
    }

    Button
    {
        id: connectionButton
        x: 65
        y: 156
        width: 70
        height:  30
        anchors.horizontalCenterOffset: 0
        visible: true
        anchors.top: passwordLineEdit.bottom
        anchors.topMargin: 26
        anchors.horizontalCenter: parent.horizontalCenter
        title: "Connect"
        onButtonClick: connect(userLineEdit.inputText,passwordLineEdit.inputText)
        KeyNavigation.tab: userLineEdit
        KeyNavigation.backtab: passwordLineEdit
    }

    Image {
        id: image1
        anchors.horizontalCenter: parent.horizontalCenter
        width: 400
        height: 400
        fillMode: Image.Stretch
        clip: false
        smooth: true
        source: "data/logo.png"
    }

    Keys.onPressed:
    {
         if (event.key == Qt.Key_Enter || event.key == Qt.Key_Return)
         {
             connect(userLineEdit.inputText,passwordLineEdit.inputText)
         }
    }

    function clearLineEdits()
    {
        userLineEdit.focus = true // Did not made what it was expected (focus back on userLineEdit)
        userLineEdit.inputText = ""
        passwordLineEdit.inputText = ""
    }
}
