import QtQuick 1.0

Item
{
    width: 500
    height: 500

    signal machineNew(string ip, string name)
    signal machineRemoved(string machineName);

    ListView
    {
        id: machinesList
        height: 500-16
        width: 500
        spacing: 1

        model: machineNames
        delegate:
            MachineDataEdit
            {
                id: delegateObject
                width: 500
                mName: machineName
                mIP: ipAddress

                onRemoved: { machineRemoved(ipAddress) }

            }
    }

    Rectangle
    {
        id: addMachineBox

        width: parent.width
        height: 100

        anchors.top:  machinesList.bottom

        TextInformationEdit
        {
            id: ipEdit
            width: 200

            labelText: "IP: "
            text: ""
            editWidth: 150

            onInformationChanged: { text = newInfo }
        }

        TextInformationEdit
        {
            id: nameEdit
            width: 200

            anchors.right: parent.right
            anchors.rightMargin: 5

            labelText: "Name: "
            text: ""

            onInformationChanged: { text = newInfo }
        }

        Button
        {
            width: parent.width
            height: 16

            anchors.top: nameEdit.bottom

            title: "Add new"

            onButtonClick: { machineNew(ipEdit.text, nameEdit.text) }
        }
    }
}
