import QtQuick 1.0

Item
{
    id: fileDataEdit

    property alias categoryText: categoryInfo.text
    property alias folderText: folderInfo.text
    property alias pathText: textBox.text

    signal categoryChanged(string newCategory,string folderName,string fileName)
    signal folderChanged(string category,string newFolder,string fileName)
    signal removed(string category, string folder, string fileName)

    Button
    {
        id: removeButton

        height: 15

        title: "Remove"

        onButtonClick: { removed(fileDataEdit.categoryText,fileDataEdit.folderText,fileDataEdit.pathText) }
    }

    Item
    {
        id: categoryBox
        width: 200

        anchors.left:  removeButton.right
        anchors.leftMargin: 5

        TextInformationEdit
        {
            id: categoryInfo

            labelText: "Category: "
            text: "Texte"
            editWidth: 125

            onInformationChanged: { categoryChanged(newInfo, fileDataEdit.folderText, fileDataEdit.pathText) }
        }
    }

    Item
    {
        id: folderBox
        width: 200

        anchors.left:  categoryBox.right
        anchors.leftMargin: 5

        TextInformationEdit
        {
            id: folderInfo

            labelText: "Folder: "
            text: "Texte"
            editWidth: 125

            onInformationChanged: { folderChanged(categoryInfo.text, newInfo, fileDataEdit.pathText) }
        }

    }

    Text
    {
        id: textBox

        width: 100
        anchors.left: folderBox.right
        anchors.leftMargin: 5

        text: "Path"
    }
}
