import QtQuick 1.0

Rectangle
{
    id: operationBox
    property string oName: "Name"
    property date oDate:  "2042-12-31"
    property string oObservation: "Observation"

    signal nameChanged(string newName)
    signal dateChanged(string newDate)
    signal observationChanged(string newObservation)

    // anchors.fill: parent
    width: parent.width
    height: 50
    border.color: "black"
    radius: 3

    TextInformationEdit
    {
        id: operationNameText

        labelText: "Name: "
        text: operationBox.oName

        onInformationChanged: { nameChanged(newInfo) }
    }

    TextInformationEdit
    {
        id: operationNameDate
        anchors.top: operationNameText.bottom

        labelText: "Date: "
        text: Qt.formatDateTime(operationBox.oDate,"yyyy-mm-dd")

        onInformationChanged: { dateChanged(newInfo) }
    }


    TextInformationEdit
    {
        id: operationObservationText
        editWidth: 300
        anchors.top:  operationNameDate.bottom

        labelText: "Observation: "
        text: operationBox.oObservation

        onInformationChanged: { observationChanged(newInfo) }
    }

    /*
    MouseArea
    {
        anchors.fill: parent
        onClicked:
        {
            if ( operationBox.ListView.view )
            {
                selected(operationBox.ListView.view.indexAt(operationBox.x,operationBox.y))
            }
        }
    }
    */
}
