import QtQuick 1.0

Rectangle
{
    id: patientBox
    property string pName: "Name"
    property int pAge: 42

    signal nameChanged(string newName)
    signal ageChanged(string newAge)

    width: parent.width
    height: 50
    border.color: "black"
    radius: 3

    TextInformationEdit
    {
        id: nameLabel

        labelText: "Name: "
        text: patientBox.pName

        onInformationChanged: { nameChanged(newInfo) }
    }

    TextInformationEdit
    {
        id: ageLabel
        anchors.top: nameLabel.bottom

        labelText: "Age: "
        text: patientBox.pAge

        validator: IntValidator{ bottom: 0; top: 150}

        onInformationChanged: { ageChanged(newInfo) }
    }

    GraphicalLine
    {
        anchors.top: ageLabel.bottom
    }
}
