import QtQuick 1.0

Item
{
    id: userBox
    property string uName: "Name"
    property int uCategory:  0

    signal nameChanged(string newName)
    signal categoryChanged(int newCategory)

    signal removed(string name)

    // anchors.fill: parent
    width: parent.width
    height: 16

    Button
    {
        id: removeButton

        width: parent.width/3
        height: 15

        title: "Remove"

        onButtonClick: { removed(userNameText.text) }
    }

    TextInformationEdit
    {
        id: userNameText
        width: parent.width/3
        anchors.left: removeButton.right
        anchors.leftMargin: 5

        labelText: "Name: "
        text: userBox.uName

        onInformationChanged: { nameChanged(newInfo) }
    }

    TextInformationEdit
    {
        id: userCategoryText
        anchors.left: userNameText.right
        anchors.leftMargin: 5
        width: parent.width/3

        labelText: "Category: "
        text: userBox.uCategory
        validator: IntValidator{ bottom: 0; top: 99999}

        onInformationChanged: { categoryChanged(newInfo) }
    }
}
