/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "Loader.h"

#include <QString>
#include <QFile>
#include <QDebug>

#include "Types/FileData.h"

FileData* Loader::loadFile(const QString& fileName, const QString& category, const QString& name, const QString& folder)
{
    // Create file
    QFile file(fileName);
    file.open(QIODevice::ReadOnly );
    if ( file.isOpen() )
    {
        FileData* fd2 = new FileData(category,name,folder,file.readAll());
        return fd2;
    }
    else
    {
        qWarning() << "Dummy File not opened";
    }

    file.close();
    return NULL;
}
