/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "TCPClient.h"

#include <QObject>
#include <QString>
#include <QTcpSocket>
#include <QDebug>

TCPClient :: TCPClient(Logger* pLogger, const QString& virtualMachineName, QObject* parent)
    :NClient(pLogger,virtualMachineName,parent)
{
    m_pSocket = new QTcpSocket(parent);

    connect(m_pSocket,SIGNAL(error(QAbstractSocket::SocketError)),this,SLOT(reportError(QAbstractSocket::SocketError)));
    connect(m_pSocket,SIGNAL(connected()),this,SLOT(connected()));
}

void TCPClient :: connectSocket(const QString& hostName, quint16 port)
{
    m_pSocket->connectToHost(hostName,port,QIODevice::WriteOnly);

    qDebug() << "TCPClient::connectSocket(" << hostName << ";" << port << ")";
}
