#ifndef __MACHINEDATAREADER_H__
#define __MACHINEDATAREADER_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "SettingsReader.h"

#include "Types/MachineData.h"

class MachineDataReader : SettingsReader
{
private:

    QList<MachineData> m_machineData;

protected:

    virtual void read();

public:
    MachineDataReader(const QString& fileName);

    const QList<MachineData>& machineData()const { return m_machineData; }
};

/*! \class MachineDataReader MachineDataReader.h "Network/MachineDataReader.h"
    \brief Implementation of SettingsReader to read a file containing information on other machines on the network
    The file is formatted as follow:
        - IP_Address name_of_the_machine other_information
 */

/*! \fn MachineDataReader :: MachineDataReader(const QString& fileName)
    \param fileName the name of the settings file
 */

/*! \fn const QList<MachineData>& MachineDataReader :: machineData()const
    \return the list of machines data
 */

#endif
