#ifndef __SSLSERVER_H__
#define __SSLSERVER_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "NServer.h"

#include <QSslError>

class Logger;

class SSLServer : public NServer
{
    Q_OBJECT

protected:
    void incomingConnection(int socketDescriptor);

    Q_SLOT void reportErrors(QList<QSslError> sslErrors);

public:
    SSLServer(quint16 port, Logger* pLogger, QObject* parent = 0);
};

/*! \class SSLServer SSLServer.h "Network/Server/SSLServer.h"
    \brief Implementation of a network server using SSL
 */

/*! \fn SSLServer::SSLServer(quint16 port, Logger* pLogger, QObject* parent = 0)
    \param port to listen
    \param pLogger
    \param parent
 */

/*! \fn void SSLServer :: incomingConnection(int socketDescriptor)
    \brief Called (by Qt) when a new connection is done to this server
    \param socketDescriptor socket of the new client
 */

/*! \fn void SSLServer::reportErrors(QList<QSslError> sslErrors)
    \brief Reports SSL related errors (other errors are reported by the base function reportErrors())
    \param sslErrors
 */

#endif
