/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "TCPServer.h"

#include <QTcpSocket>

TCPServer :: TCPServer(quint16 port, Logger* pLogger, QObject* parent)
    :NServer(port,pLogger,parent)
{
}

void TCPServer::incomingConnection(int socketDescriptor)
{
    qDebug() << "IncomingConnection (" << socketDescriptor << ")";
    QTcpSocket *pServerSocket = new QTcpSocket();

    if (pServerSocket->setSocketDescriptor(socketDescriptor))
    {
        connect(pServerSocket,SIGNAL(error(QAbstractSocket::SocketError)), this, SLOT(reportError(QAbstractSocket::SocketError)));
        connect(pServerSocket, SIGNAL(readyRead()), this, SLOT(dataReceived()));
        connect(pServerSocket, SIGNAL(disconnected()), this, SLOT(cleanUp()));
        m_sockets.append(new NServerSocket(pServerSocket));
        qDebug() << "Added new Socket";
    }
    else
    {
        delete pServerSocket;
    }
}
