#ifndef __TCPSERVER_H__
#define __TCPSERVER_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "NServer.h"

class TCPServer : public NServer
{
    Q_OBJECT

protected:
    void incomingConnection(int socketDescriptor);

public:
    TCPServer(quint16 port, Logger* pLogger, QObject* parent = 0);
    ~TCPServer() {}
};

/*! \class TCPServer TCPServer.h "Network/Server/TCPServer.h"
    \brief Implementation of a network server using TCP
 */

/*! \fn void TCPServer :: incomingConnection(int socketDescriptor)
    \brief Called (by Qt) when a new connection is done to this server
    \param socketDescriptor socket of the new client
 */

/*! \fn TCPServer::TCPServer(quint16 port, Logger* pLogger, QObject* parent = 0)
    \param port to listen
    \param pLogger
    \param parent
 */

#endif
