#ifndef __DATAUTILS_H__
#define __DATAUTILS_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

class DataUtils
{
private:

public:
    static int charDWordToInt(const char* pData);
    static void intToDWordChar(int data, char* pDWord);
};

/*! \class DataUtils DataUtils.h "Network/Utils/DataUtils.h"
    \brief Utility class to convert int to 4 chars and 4 chars to int
 */

/*! \fn static int DataUtils::charDWordToInt(const char* pData)
    \brief Converts 4 chars to int
    \param pData the 4 chars to read
    \return the int read
*/

/*! \fn static void DataUtils::intToDWordChar(int data, char* pDWord)
    \brief Converts 1 int to 4 chars
    \param data the int to convert
    \param pDWord the 4 char to fill
 */

#endif
