#ifndef __SETTINGSREADER_H__
#define __SETTINGSREADER_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QFile>

class QString;

class SettingsReader
{
protected:
    QFile m_SettingFile;    /*!< */

    virtual void read()=0;

public:
    SettingsReader(const QString& fileName);
    virtual ~SettingsReader();
};

/*! \class SettingsReader SettingsReader.h "SettingsReader.h"
    \brief Base class to read settings text files-
 */

/*! \fn virtual void SettingsReader :: read()=0
    \brief Reads the information from the file
 */

/*! \fn SettingsReader :: SettingsReader(const QString& fileName)
    \brief open the file in read only
    \param fileName the name of the file to open
*/

/*! \fn virtual SettingsReader :: ~SettingsReader()
 */

#endif
