#ifndef __CONNECTIONQMLWIDGET_H__
#define __CONNECTIONQMLWIDGET_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "QMLWidget.h"

class ConnectionQMLWidget : public QMLWidget
{
    Q_OBJECT

private:

protected:
    bool updateQML();

public:
    ConnectionQMLWidget(QWidget* parent=0);
    ~ConnectionQMLWidget();

    Q_SIGNAL void authentificationRequired(QString userName, QString password);

    Q_SLOT void clear();
};

/*! \class ConnectionQMLWidget ConnectionQMLWidget.h "UI/ConnectionQMLWidget.h"
    \brief Interface for the QML interface of connection
 */

/*! \fn ConnectionQMLWidget::ConnectionQMLWidget(QWidget* parent=0)
    \param parent
 */

/*! \fn ConnectionQMLWidget::~ConnectionQMLWidget()
 */

/*! \fn void ConnectionQMLWidget::authentificationRequired(QString userName, QString password)
    \brief Signal send when the user clicked on the connection button
    \param userName
    \param password
 */

/*! \fn void ConnectionQMLWidget::clear()
    \brief Removes all information in the LineEdit of the QML interface
 */

#endif
