#ifndef __QMLBARWIDGET_H__
#define __QMLBARWIDGET_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "QMLWidget.h"

class QMLBarWidget : public QMLWidget
{
    Q_OBJECT

private:

protected:
    bool updateQML();

public:
    QMLBarWidget(QWidget* parent=0);
    ~QMLBarWidget();

    void setButtons(const QList<QObject*> buttons);

    Q_SIGNAL void requestedTab(QString tabName);
};

/*! \class QMLBarWidget QMLBarWidget.h "UI/QMLBarWidget.h"
    \brief Interface in the form of bar to contain buttons
 */

/*! \fn QMLBarWidget::QMLBarWidget(QWidget* parent=0)
    \param parent
 */

/*! \fn QMLBarWidget::~QMLBarWidget()
 */

/*! \fn void QMLBarWidget::setButtons(const QList<QObject*> buttons);
    \brief Set the buttons to display on the bar
    \param buttons
 */

/*! \fn void QMLBarWidget::requestedTab(QString tabName)
    \brief Signal send when a button is pressed
 */

#endif
