#ifndef __QMLVERSIONNINGWIDGET_H__
#define __QMLVERSIONNINGWIDGET_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "QMLWidget.h"

class VersionData;

class QMLVersionningWidget : public QMLWidget
{
private:

    VersionData* m_pVersionData;    /*!< */

protected:

    bool updateQML();

public:
    QMLVersionningWidget(QWidget* parent=0):QMLWidget(parent) {}
    ~QMLVersionningWidget() {}

    void setVersionData(VersionData* pVersionData);

    Q_SLOT void updateData();
};

/*! \class QMLVersionningWidget QMLVersionningWidget.h "UI/QMLVersionningWidget.h"
    \brief Interface to display data about changement
 */

/*! \fn QMLVersionningWidget::QMLVersionningWidget(QWidget* parent=0)
    \param parent
 */

/*! \fn QMLVersionningWidget::~QMLVersionningWidget()
 */

/*! \fn void QMLVersionningWidget::setVersionData(VersionData* pVersionData);
    \brief Set the information about the changes in the interface
    \param pVersionData
    \sa updateData()
 */

/*! \fn void QMLVersionningWidget::updateData()
    \brief Send the information to QML
 */


#endif
