#ifndef __FILELIST_H__
#define __FILELIST_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QList>
#include <QObject>

#include "FileDataObject.h"

class FileList
{
private:
    QList<QObject*> m_files;  /*!< */

public:
    FileList() {}
    ~FileList();

    void add(FileDataObject* pFile);
    void clear();

    const QList<QObject*> getList()const { return m_files; }
};

/*! \class FileList FileList.h "UI/Types/FileList.h"
    \brief List of FileList
 */

/*! \fn FileList::FileList()
 */

/*! \fn FileList::~FileList()
    Clear the list and deletes the buttons contained
    \sa clear()
 */

/*! \fn void FileList::add(FileDataObject* pFile)
    \brief Adds a file in the list
    \param pFile pointer on the new file
 */

/*! \fn void FileList::clear()
    \brief Removes and delete all files in the list
 */

/*! \fn const QList<QObject*> FileList::getList()const
    \brief Gets the list of files (as QObjects) ready to be send to QML
    \return
 */

#endif
