/*
 * "MedCenter" is an interactive application for hospitals.
 *
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QApplication>

#include "meddatabase.hpp"

int main(int argc, char* argv[])
{
	QApplication app(argc, argv);

        if ( MedDatabase::initDatabase() )
                qDebug() << "init db";

        if ( MedDatabase::populate() )
                qDebug() << "populate db";

        if ( MedDatabase::connectUser("Litlwayt Spirit", "yesyoucant") )
                qDebug() << "Litlwayt Spirit est connect";

        User moi = MedDatabase::user("Litlwayt Spirit");
                qDebug() << "Nom :" << moi.name;
                qDebug() << "Mot de passe hach :" << moi.password;
                qDebug() << "Fonction :" << moi.function;
                qDebug() << "Connect :" << moi.connected;

        if ( MedDatabase::disconnectUser("Litlwayt Spirit") )
                        qDebug() << "Litlwayt Spirit est dconnect";

        for (int i(0); i < MedDatabase::listUsers().size(); ++i)
                qDebug() << MedDatabase::listUsers().at(i).name;

        if ( MedDatabase::addPatient("Gauthier Laurent", 42) && MedDatabase::addPatient("Jamsine Laurent", 42) )
                qDebug() << "On insre Gauthier et Jasmine Laurent dans la chambre 42 !";

        for (int i(0); i < MedDatabase::listPatients().size(); ++i)
                qDebug() << MedDatabase::listPatients().at(i).name;

        Patient jasm = MedDatabase::patient(2);
                qDebug() << "Chambre de Jasmine Laurent :" << jasm.room;

                if ( MedDatabase::addItem(2, "ECG", "bip-bip-bip-bip-biiiiiiiii...") )
                qDebug() << "On ajoute un ecg  Jasmine.";

        Item ecg = MedDatabase::item(1);
        if ( MedDatabase::setItem(1, ecg.idPatient, ecg.type, "caca-prout") )
                qDebug() << "item modifi !";


	return app.exec();
}

/*
1 - On initialise la base de donne, elle se charge de charger le fichier .db et de crer les tables pour travailler.
if ( MedDatabase::initDatabase() )
	qDebug() << "init db";

2 - On peuple la base donne (un peu vide) avec des utilisateurs aux noms loufoques...
if ( MedDatabase::populate() )
	qDebug() << "populate db";

3 - Litlwayt Spirit veut se connecter !
if ( MedDatabase::connectUser("Litlwayt Spirit", "yesyoucant") )
	qDebug() << "Litlwayt Spirit est connect";

4 - On rcupre les informations de cet utilisateur
User moi = MedDatabase::user("Litlwayt Spirit");
	qDebug() << "Nom :" << moi.name;
	qDebug() << "Mot de passe hach :" << moi.password;
	qDebug() << "Fonction :" << moi.function;
	qDebug() << "Connect :" << moi.connected;

5 - Puis quand j'ai finis de travailler je me dconnecte
if ( MedDatabase::disconnectUser("Litlwayt Spirit") )
	qDebug() << "Litlwayt Spirit est dconnect";

6 - Pour le fun on rcupre une liste des utilisateurs enrengistr dans la bdd
for (int i(0); i < MedDatabase::listUsers().size(); ++i)
	qDebug() << MedDatabase::listUsers().at(i).name;

7 - Et les patients ? Il faut en ajouter au moins un pour faire sytle quenotre hopital est fonctionnel !
if ( MedDatabase::addPatient("Gauthier Laurent", 42) && MedDatabase::addPatient("Jamsine Laurent", 42) )
	qDebug() << "On insre Gauthier et Jasmine Laurent dans la chambre 42 !";

8 - On va lister les noms des patients pour le fun !
for (int i(0); i < MedDatabase::listPatients().size(); ++i)
	qDebug() << MedDatabase::listPatients().at(i).name;

9 - On veut plus d'information sur Jasmine Laurent !
Patient jasm = MedDatabase::patient(2);
	qDebug() << "Chambre de Jasmine Laurent :" << jasm.room;

10 - Ajoutons lui un ECG la pauvre...
if ( MedDatabase::addItem(2, 5, "bip-bip-bip-bip-biiiiiiiii...") )
	qDebug() << "On ajoute un ecg  Jasmine.";

11 - On peut rcuprer cette item et le modifier ! Soyons fou !
Item ecg = MedDatabase::item(1);
if ( MedDatabase::setItem(1, ecg.idPatient, ecg.type, "caca-prout") )
	qDebug() << "item modifi !";

12 - Maintenant... ARGH ! Je dois te laisser il y a Dr Maboul qui dbarque ! argh !
Si tu as des questions n'hsite pas ! Et bon courage pour la suite !

Abdel.
*/
