#ifndef __ECGVIEWERMODULE_H__
#define __ECGVIEWERMODULE_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QObject>

#include "Module/ModuleInterface.h"
#include "Logger/FileLogger.h"

#include "ECGViewerWidget.h"

class QWidget;

class ECGViewerModule : public QObject, ModuleInterface
{
    Q_OBJECT
    Q_INTERFACES(ModuleInterface)

private:
    FileLogger m_logger;

    QWidget* m_pParent;
    ECGViewerWidget* m_pECGWidget;

    bool m_isVisible;

public:
    ECGViewerModule():m_logger("./ECGViewerModule.log"),m_isVisible(false) { m_moduleName = "ECG Viewer" ; m_logoSource = ":/data/images/ecg.png"; }
    ~ECGViewerModule();

    void createGui(QWidget* parent = 0);
    void setPatientData(Patient* pPatient, const QString& folderName);
    bool needDisplay() { return m_isVisible; }

    const QString& name() { return m_moduleName; }
    const QUrl& imageSource() { return m_logoSource; }

    QWidget* getWidget() { return m_pECGWidget; }

    Q_SIGNAL void clientChanged(Patient* pPatient);
};

#endif
