#ifndef __RADIOSCROLLAREAWIDGET_H__
#define __RADIOSCROLLAREAWIDGET_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QScrollArea>

class QPixmap;

class RadioWidget;

class RadioScrollAreaWidget : public QScrollArea
{
    Q_OBJECT

private:

    RadioWidget* m_pRadioWidget;                        /*!< */

protected:

public:

    explicit RadioScrollAreaWidget(QWidget* parent=0);

    void setRadio(const QPixmap& pixmap);
    const QPixmap* getRadio()const;

    const RadioWidget* radioWidget() { return m_pRadioWidget; }
};

/*! \class RadioScrollAreaWidget RadioScrollAreaWidget.h "RadioScrollAreaWidget.h"
 *  \brief Widget to scroll the radio
 */

/*! \fn explicit RadioScrollAreaWidget::RadioScrollAreaWidget(QWidget* parent=0)
 *  \param parent the parent of the widget
 */

/*! \fn void RadioScrollAreaWidget::setRadio(const QPixmap& pixmap)
 *  \brief Set a new radio to display
 *  \param pixmap the new radio
 */

/*! \fn const QPixmap* RadioScrollAreaWidget::getRadio()const
 *  \brief Get the radio displayed
 *  \return
 */

/*! \fn const RadioWidget* RadioScrollAreaWidget::radioWidget()
 *  \brief Get the RadioWidget
*   \return
 */

#endif
