#ifndef __RADIOWIDGET_H__
#define __RADIOWIDGET_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QLabel>

class RadioWidget : public QLabel
{
    Q_OBJECT

private:

    QPointF m_mouseFactorPos;                       /*! The position of the mouse in range 0 to 1 */

protected:

    void mouseMoveEvent(QMouseEvent* pMouseEvent);

public:

    explicit RadioWidget(QWidget* parent=0);
    const QPointF& mouseFactorPos()const { return m_mouseFactorPos; }
};

/*! \class RadioWidget RadioWidget.h "RadioWidget.h"
 *  \brief Widget to display radio
 */

/*! \fn RadioWidget::RadioWidget(QWidget* parent=0)
 *  \param parent the parent of the widget
 */

/*! \fn void RadioWidget::mouseMoveEvent(QMouseEvent* pMouseEvent)
    \brief Handles the moves of the mouse
    \param pMouseEvent information on the mouse
 */

/*! \fn const QPointF& RadioWidget::mouseFactorPos()const
    \brief Get the position of the mouse in proportion with the size of the screen
    \return
 */

#endif
