#include "mainwindow.h"

#include <QMenu>
#include <QMenuBar>

#include "RadioViewerWidget.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent),
      m_logger("./RadioViewer.log"),
      m_pWidget(new RadioViewerWidget(&m_logger,this)),
      m_pFileMenu(new QMenu(tr("File"),this))
{
    this->setCentralWidget(m_pWidget);

    this->menuBar()->addMenu(m_pFileMenu);
    QAction* p_loadFileAction = m_pFileMenu->addAction(tr("Load radio Files"));
    connect(p_loadFileAction, SIGNAL(triggered()), m_pWidget, SLOT(loadRadioFiles()));
}

MainWindow::~MainWindow()
{

}
